%define rel d
# default soundfonts path
%define sfpath %_sysconfdir/midi
%def_disable static

Name: awesfx
Version: 0.5.0
Release: alt1%rel

Summary: awesfx is a set of utilities for the AWE32 and Emux WaveTable of ALSA sbawe and emu10k1 drivers
Group: System/Configuration/Hardware
License: GPL
Url: http://www.alsa-project.org/~iwai/awedrv.html

Source: http://www.alsa-project.org/~iwai/%name-%version.tar.bz2
Source1: http://www.pvv.org/~thammer/localfiles/soundfonts_other/gu11-rom.zip
Patch: %name-0.5.0-alt-shared.patch
Patch1: %name-0.5.0-1-alt-sfpath.patch

ExclusiveArch: %ix86 ha alpha

%define alsa_ver 1.0.0
Requires: lib%name = %version-%release
Requires: libalsa >= %alsa_ver

BuildPreReq: kernel-headers-std
BuildPreReq: libalsa-devel >= %alsa_ver

# Automatically added by buildreq on Tue Nov 09 2004
BuildRequires: gcc-c++ gcc-g77 libalsa-devel libstdc++-devel unzip

%description
The %name package contains necessary utilities for the AWE32 and Emux
WaveTable of ALSA sbawe and emu10k1 drivers. You need to use these
utilities to enable sounds on these drivers properly.

%package -n lib%name
Summary: Library for the AWE32 sound driver
Group: System/Libraries

%description -n lib%name
Shared library for %name.

%package -n lib%name-devel
Summary: Header files for AWE32 sound driver
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains header files for AWE32 sound driver.

%prep
%setup -q -a1
%patch -p1
%patch1 -p1

%build
autoreconf -ifsv
%configure \
    --with-sfpath=%sfpath \
    %{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install
%__mkdir_p %buildroot{%sfpath,/bin}
%__mv %buildroot%_bindir/*load %buildroot/bin/
%__install -p -m644 *.sf2 %buildroot%sfpath

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
/bin/*
%_bindir/*
%_mandir/man?/*
%sfpath/*
%doc AUTHORS ChangeLog README *.txt *.TXT *.ins

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%changelog
* Tue Nov 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1d
- 0.5.0d

* Wed Jan 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.4-alt3
- rebuilt with gcc-3.2
- added missing post/postun for lib%name package.
- Url changed.

* Wed Jan 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.4-alt2
- lib%name-devel package
- optflags patch removed, not needed more

* Mon Aug 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.4.4-alt1
- 0.4.4
- Some spec cleanup & fixes
- Added lib%name package

* Mon Dec 11 2000 Dmitry V. Levin <ldv@fandra.org> 0.4.3a-ipl11mdk
- RE adaptions.

* Fri Jul 28 2000 Alexandre Dussart<adussart@mandrakesoft.com> 0.4.3a-11mdk
- Fixed permission.

* Wed Jul 26 2000 Alexandre Dussart<adussart@mandrakesoft.com> 0.4.3a-10mdk
- Updated %files section.

* Wed Jun 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3a-9mdk
- spec helper cleanings
- used srpm provided by Stefan van der Eijk <s.vandereijk@chello.nl> 0.4.3a-8mdk

* Sat Jun 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.4.3a-8mdk
- added alpha to ExclusiveArch

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.4.3a-7mdk
- fit new group structure

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Added aweset back into RPM

* Thu Nov 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add i486 and k6 arch

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Added i586 and i686 architectures to spec file

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 0.4.3a

* Mon Nov 16 1998 Bill Nottingham <notting@redhat.com>
- sfxload needs to be on root partition (modules loaded at startup)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Alpha

* Wed Sep  9 1998 Bill Nottingham <notting@redhat.com>
- initial packaging
